// =====================================================================
//  $Id: TRunInformationModuleCommand.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TRUNINFORMATIONMODULECOMMAND_HH
#define __TRUNINFORMATIONMODULECOMMAND_HH

#include "Tglobals.h"

class TSoftwareRunInformationModule;

class TRunInformationModuleCommand
{

  protected:
    TSoftwareRunInformationModule* theRunInformationModule;

  protected:
    TRunInformationModuleCommand( TSoftwareRunInformationModule* module );
    ~TRunInformationModuleCommand();

  public:
    const TSoftwareRunInformationModule* GetRunInformationModule() const;
    Tvoid SetRunInformationModule( TSoftwareRunInformationModule* module );

};

inline const TSoftwareRunInformationModule* TRunInformationModuleCommand::GetRunInformationModule() const
{
  return( theRunInformationModule );
}

inline Tvoid TRunInformationModuleCommand::SetRunInformationModule( TSoftwareRunInformationModule* module )
{
  theRunInformationModule = module;
  return;
}

#endif
